This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.200. __nv_ldexpf

Prototype:

    float @__nv_ldexpf(float %x, i32 %y)

Description:

Calculate the value of x ⋅ 2 e x p of the input arguments `x` and `exp`.

Returns:

- __nv_ldexpf(`x`) returns ± ∞ if the correctly calculated value is outside the double floating point range.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes